/***************************************************************************
  *   FPreferences.h                                                        *
  *   Copyright (C) 2003-2005 by Stephan Gans                               *
  *   mephistoki@users.sourceforge.net                                      *
  *   Created: Mon Nov 24 20:05:02 2003                                     *
  *                                                                         *
  *   This program is free software; you can redistribute it and/or modify  *
  *   it under the terms of the GNU General Public License as published by  *
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
  *   This program is distributed in the hope that it will be useful,       *
  *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
  *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
  *   GNU General Public License for more details.                          *
  *                                                                         *
  *   You should have received a copy of the GNU General Public License     *
  *   along with this program; if not, write to the                         *
  *   Free Software Foundation, Inc.,                                       *
  *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
  ***************************************************************************/


#ifndef FORMPREF_H
#define FORMPREF_H


#include <kdialogbase.h>
#include <kurlrequester.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qvbox.h>
#include <qhbox.h>
#include <qcheckbox.h>
#include <ksimpleconfig.h>

class Formpref : public KDialogBase
{
   Q_OBJECT
public:
   Formpref(QWidget* parent);

public slots:
   virtual void Newprefs();
   virtual void cancel();

protected:
   bool Proofforapp(QString);

   void initGeneralPage(KIconLoader*);
   void initApplicationsPage(KIconLoader*);
   void initDriveBox();
   void initSizeBox();
   void initStyleselect();
   void initHiddenFilesCheck();
   void initSoundsButtonCheck();
   void initBurnbox();
   void initHexbox();
   void initBackground();

private:
   QVBox* m_GeneralPage;
   QVBox* m_HelperPage;
   QHBox* m_Burningapp;
   QHBox* m_Hexapp;
   QComboBox* m_Drivebox;
   QComboBox* m_SizeBox;
   QComboBox* m_Burnbox;
   QComboBox* m_Hexbox;
   KURLRequester* m_Stylequester;
   QCheckBox* m_Hiddencheck;
   QCheckBox* m_Buttoncheck;

   KSimpleConfig* m_config;
   QString m_actDirectory;
};

#endif // FORMPREF_H
